// PatchWindow.h
// By Jayson Adams, NeXT Developer Support Team
// You may freely copy, distribute and reuse the code in this example.
// NeXT disclaims any warranty of any kind, expressed or implied, as to its
// fitness for any particular use.
// Modified by Mara Helmuth for Patchmix.

#import <appkit/Window.h>

@interface PatchWindow:Window
{
    id		viewRectList;
    int		viewRectUnderPoint;
}

/* instance methods */
- initContent:(const NXRect *)contentRect style:(int)aStyle
  backing:(int)bufferingType buttonMask:(int)mask defer:(BOOL)flag;
- registerRect:(NXRect *)rect forView:view;
- (BOOL)windowEntered:(NXPoint *)windowEntered fromSource:dragSource;
- (BOOL)windowExited:dragSource;
- (BOOL)windowDropped:(NXPoint *)mouseLocation fromSource:source;

@end
